> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Us Income



## OpenAPI

````yaml /openapi.json get /us/financials/income-statements
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /us/financials/income-statements:
    get:
      tags:
        - US · financials
      summary: Us Income
      operationId: us_income_us_financials_income_statements_get
      parameters:
        - name: ticker
          in: query
          required: true
          schema:
            type: string
            title: Ticker
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 40
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomeStatementsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    IncomeStatementsResponse:
      properties:
        income_statements:
          items:
            $ref: '#/components/schemas/IncomeStatement'
          type: array
          title: Income Statements
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - income_statements
        - meta
      title: IncomeStatementsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    IncomeStatement:
      properties:
        ticker:
          type: string
          title: Ticker
        report_period:
          type: string
          format: date
          title: Report Period
        fiscal_period:
          anyOf:
            - type: string
            - type: 'null'
          title: Fiscal Period
        period:
          anyOf:
            - type: string
              enum:
                - annual
                - quarterly
                - ttm
            - type: 'null'
          title: Period
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        accession_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Accession Number
        filing_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Url
        filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Filing Date
        filing_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Filing Datetime
        revenue:
          anyOf:
            - type: number
            - type: 'null'
          title: Revenue
        cost_of_revenue:
          anyOf:
            - type: number
            - type: 'null'
          title: Cost Of Revenue
        gross_profit:
          anyOf:
            - type: number
            - type: 'null'
          title: Gross Profit
        operating_income:
          anyOf:
            - type: number
            - type: 'null'
          title: Operating Income
        net_income:
          anyOf:
            - type: number
            - type: 'null'
          title: Net Income
        earnings_per_share_basic:
          anyOf:
            - type: number
            - type: 'null'
          title: Earnings Per Share Basic
        earnings_per_share_diluted:
          anyOf:
            - type: number
            - type: 'null'
          title: Earnings Per Share Diluted
      type: object
      required:
        - ticker
        - report_period
      title: IncomeStatement
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````